#!/usr/bin/tclsh

if { $argc == 1 } {

    set pattern1 "^ *TITELLINK: (.*)<br />$"
    set pattern2 "TitelLinkInternal#comment-form "

    # open file    
    set file [open [lindex $argv 0] r]

    # iterate over all lines
    while { [gets $file line] >= 0 } {
        
        # check if lines matches regexp
        if { [regexp $pattern1 $line] } {
            
            # extract TITELLINK
            regexp $pattern1 $line temp titellink
            
            # do not print line, it should vanish!

        } elseif { [regexp $pattern2 $line] } {
            
            # replace TitelLinkInternal with real title
            regsub $pattern2 $line "$titellink#comment-form" line
            
            # print line
            puts "$line"
            
            # unset variable again
            unset titellink
            
        } else {
            # just print line
            puts "$line"
        }
    }
    
} else {
    puts "Error: Only one argument allowed!"
}
